Bug 148956 - Cannot print from Windows XP to Fedora Core 3 Cups Shared Printer
Cannot print from Windows XP to Fedora Core 3 Cups Shared Printer
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-02-17 07:03 EST by Pedro Madeira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-30 09:42:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pedro Madeira 2005-02-17 07:03:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I have a problem which I really don't know if it's a bug in cups
bundled with fedora core 3 or a misconfiguration.

The problem is that I have a Windows XP client andn I'm trying to
print to a usb printer locally conected to a fedora core 3 box with
cups enabled.

The fedora prints perfectly. Other fedoras around the network are also
able to print to the discovered shared printer that is correctly
advertised by the fedora which is sharing the printer.

I'm trying to configure that windows client in the following manner:
Adding a printer by selecting network printer and typing the following URL


The IP is correct and also the share name.


Client Windows XP Service Pack 2

Print Server: Fedora Core 3 with Cups

Printer: HP Deskjet 3420 (USB printer)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Printer Shared with cups on a fedora core 3
2.Add a network printer to windows XP
3.Try to print and fail

Actual Results:  No printing from Windows XP clients

Expected Results:  All machines should be able to print to a fedora
core 3 shared usb printer

Additional info:
Comment 1 Pedro Madeira 2005-02-23 05:30:30 EST

Can you tell me if this is a limitation between cups of fedora core 3
and windows XP or is there a particular way to configure this?

Thanks in advance for your time and attention to this matter.

Best regards.
Pedro Madeira
Comment 2 Tim Waugh 2005-04-04 08:45:18 EDT
Is there an error message from the Windows client?

How about the /var/log/cups/error_log file -- does that provide any clues?
Comment 3 Aleksandar Milivojevic 2005-05-30 17:19:41 EDT
I had exactly the same problem.  The printing used to work in FC2 with my old
Brother printer.  Then I changed the printer and distribution (Samsung printer
and CentOS4, RHEL4 clone, so basically cups built from RHEL4 SRPM package).

First, the workaround:
Change printer driver in Windows.  Just choose any PostScript printer under
driver tab in Windows printer settings.  I used one of the Apple Color laser
printers that has the same margins as my Samsung printer (found it by trial and
error).  Just keep chaning printer driver until you find postscript printer that
has same margins as your HP Deskjet 3420.  When you do this, Windows will send
application/postscript in content-type header, and cups will do the right thing.

Second, some debugging information:
The first problem was that when I told Windows to use correct driver for my
printer (Samsung ML-1740), Windows were sending application/octet-stream (which
is considered to be raw file type by cups) in content-type header.  By default,
configuration files generated by system-config-printer do not allow for raw
files.  One needs to manually edit /etc/cups/mime.types and mime.convs files
(which get overwritten by system-config-printer and cups package upgrades, watch
out for that) or define second queue using system-config-printer and mark it as raw.

After enabling raw printing support in Cups (by either of above described
options), Cups started to accept print jobs from Windows box, but there was no
output.  Running cups in debug mode showed that it received the file, accepted
the job, and sent it to the printer.  However, nothing came out of the printer
(and looking at the pritner's LEDs, it seems nothing was sent to it, contrary to
the log files).  After couple of days of attempting to make things work, I ended
up with above described workaround.

Also, recently I installed another Linux box at home, and used
system-config-printer to define remote printer queue.  And again, nothing comes
out of the printer.  The trick from Windows (define printer as postscript)
doesn't work on Linux.  Using tcpdump I can see that content-type header send by
local cups to remote cups is something like application/ipp or something like
that (not sure anymore what is exact string).  I spent couple of days attempting
to get it to work, but all attempts failed.  Currently it is status-quo. 
Printing from Windows works using workaround.  Printing from Linux does not work
(except on the PC where printer is connected to).

I hope this will help you get started with printing until this bug in Cups is fixed.
Comment 4 Tim Waugh 2005-09-09 09:59:22 EDT
Still need an error message or error_log contents to diagnose this further.
Comment 5 John Thacker 2006-04-30 09:42:24 EDT
FC3 is Fedora Legacy, and reporter has not posted error message or 
error_log for 7 months after request.  Closing.

Note You need to log in before you can comment on or make changes to this bug.